CCW_DEVICE_RESUME(9)

NAME
ccw_device_resume - resume channel program execution

SYNOPSIS

int ccw_device_resume(struct ccw_device * cdev);

ARGUMENTS

cdev
    target ccw device

DESCRIPTION

ccw_device_resume calls rsch on cdev's subchannel.

RETURNS

0 on success, -ENODEV on device not operational, -EINVAL on invalid device state, -EBUSY on device busy or interrupt pending.

CONTEXT

Interrupts disabled, ccw device lock held

AUTHOR

Cornelia Huck <cornelia.huck@de.ibm.com>
    Author.

COPYRIGHT